cglib1-1.0-7.jpp5.noarch.rpm


Advertisement

Description

cglib1 - Code Generation Library

Distribution: RPM Universal
Repository: JPackage 5.0 all
Package name: cglib1
Package version: 1.0
Package release: 7.jpp5
Package architecture: noarch
Package type: rpm
Installed size: 107.01 KB
Download size: 103.15 KB
Official Mirror: mirrors.dotsrc.org
cglib is a powerful, high performance and quality Code Generation Library, It is used to extend JAVA classes and implements interfaces at runtime.

Alternatives

Provides

  • cglib1 = 1.0-7.jpp5

    Download

    Install Howto

    Fedora, CentOS, RHEL:
    1. Download the latest jpackage-release rpm from
      http://mirrors.dotsrc.org/jpackage/5.0/generic/free/RPMS/
    2. Install jpackage-release rpm:
      # rpm -Uvh jpackage-release*rpm
    3. Install cglib1 rpm package:
      # yum install cglib1
    openSUSE:
    1. Add the JPackage 5.0 repository:
      # zypper addrepo http://mirrors.dotsrc.org/jpackage/5.0/generic/free/ jpackage-5.0
    2. Install cglib1 rpm package:
      # zypper install cglib1
    Mandriva, Mageia:
    1. Add the JPackage 5.0 repository:
      # urpmi.addmedia jpackage-5.0 http://mirrors.dotsrc.org/jpackage/5.0/generic/free/ with hdlist.cz
    2. Update packages list:
      # urpmi.update -a
    3. Install cglib1 rpm package:
      # urpmi cglib1

    Files

    • /etc/maven/fragments/cglib1
    • /usr/share/doc/cglib1-1.0/LICENSE.TXT
    • /usr/share/java/cglib1-1.0.jar
    • /usr/share/java/cglib1.jar
    • /usr/share/maven2/poms/JPP-cglib1.pom

    Changelog

    2009-04-03 - Ralph Apel <r.apel at r-apel.de> - 0:1.0-7.jpp5 - First JPP-5 release - Add pom and depmap frag

    2007-05-15 - Ralph Apel <r.apel at r-apel.de> - 0:1.0-6jpp - Fix aot build - Make Vendor, Distribution based on macro

    2006-09-27 - Ralph Apel <r.apel at r-apel.de> - 0:1.0-5jpp - First JPP-1.7 release - Patch to work with asm-1.5.3 - Add post/postun Requires for javadoc - Add gcj_support option

    2004-08-20 - Ralph Apel <r.apel at r-apel.de> - 0:1.0-3jpp - Build with ant-1.6.2 - Relaxed jpackage-utils BuildReq

    2004-06-03 - Paul Nasrat <pauln@truemesh.com> - 0:1.0-3jpp - Fix buildrequires and requires for bcel/asm

    2004-06-01 - Randy Watler <rwatler at finali.com> - 0:1.0-2jpp - Upgrade to Ant 1.6.X

    2004-03-09 - Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp - First JPackage release

    Advertisement
    Advertisement